Simpler Navigation for Servers and Operating Systems
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
Insight Control for Linux
cancel
Showing results for 
Search instead for 
Did you mean: 

Error installing PSP 8.11 component hpsmh-2.1.12-200

SOLVED
Go to solution
Louella J Panaga
Occasional Contributor

Error installing PSP 8.11 component hpsmh-2.1.12-200

I'm trying to install the latest version of Proliant Support Pack for Linux that works with RHEL 5 so I installed with the install811.sh script. It failed to install hpsmh via the install script so I tried to do it manually and got below error. Has anyone encounter this before?

# tar zxvf hpsmh-2.1.12-200.x86_64.rpm.tar.gz
hpsmh-2.1.12-200.x86_64.rpm
hpsmh-2.1.12-200.x86_64.xml
# rpm -ivvh hpsmh-2.1.12-200.x86_64.rpm
D: ============== hpsmh-2.1.12-200.x86_64.rpm
D: Expected size: 9080036 = lead(96)+sigs(180)+pad(4)+data(9079756)
D: Actual size: 9080036
D: hpsmh-2.1.12-200.x86_64.rpm: Header SHA1 digest: OK (f53346239851bee3345ac4a129a6d9d6f2317f6c)
D: added binary package [0]
D: found 0 source and 1 binary packages
D: opening db environment /var/lib/rpm/Packages joinenv
D: opening db index /var/lib/rpm/Packages rdonly mode=0x0
D: locked db index /var/lib/rpm/Packages
D: ========== +++ hpsmh-2.1.12-200 x86_64/linux 0x0
D: opening db index /var/lib/rpm/Depends create mode=0x0
D: opening db index /var/lib/rpm/Basenames rdonly mode=0x0
D: opening db index /var/lib/rpm/Pubkeys rdonly mode=0x0
D: read h# 1033 Header sanity check: OK
D: ========== DSA pubkey id 53268101 37017186 (h#1033)
D: read h# 34 Header V3 DSA signature: OK, key ID 37017186
D: Requires: /bin/sh YES (db files)
D: Requires: /bin/sh YES (cached)
D: Requires: /bin/sh YES (cached)
D: Requires: /bin/sh YES (cached)
D: Requires: rpmlib(PayloadFilesHavePrefix) <= 4.0-1 YES (rpmlib provides)
D: Requires: rpmlib(CompressedFileNames) <= 3.0.4-1 YES (rpmlib provides)
D: opening db index /var/lib/rpm/Conflictname rdonly mode=0x0
D: closed db index /var/lib/rpm/Pubkeys
D: closed db index /var/lib/rpm/Depends
D: closed db index /var/lib/rpm/Conflictname
D: closed db index /var/lib/rpm/Basenames
D: closed db index /var/lib/rpm/Packages
D: closed db environment /var/lib/rpm/Packages
D: ========== recording tsort relations
D: ========== tsorting packages (order, #predecessors, #succesors, tree, depth, breadth)
D: 0 0 0 0 1 0 +hpsmh-2.1.12-200.x86_64
D: installing binary packages
D: opening db environment /var/lib/rpm/Packages joinenv
D: opening db index /var/lib/rpm/Packages create mode=0x42
D: mounted filesystems:
D: i dev bsize bavail iavail mount point
D: 0 0x0000fd00 4096 14968829 17249731 /
D: 1 0x00000003 4096 0 -1 /proc
D: 2 0x00000000 4096 0 -1 /sys
D: 3 0x0000000b 4096 0 -1 /dev/pts
D: 4 0x00006801 1024 77447 26066 /boot
D: 5 0x00000013 4096 1022228 1022227 /dev/shm
D: 6 0x00000014 4096 0 -1 /proc/sys/fs/binfmt_misc
D: 7 0x00000015 4096 0 -1 /var/lib/nfs/rpc_pipefs
D: 8 0x00000018 65536 692458 10724318 /home/dorsey
D: 9 0x00000018 65536 692458 10724318 /home/panaga1
D: sanity checking 1 elements
D: opening db index /var/lib/rpm/Name create mode=0x42
D: running pre-transaction scripts
D: computing 997 file fingerprints
Preparing... D: computing file dispositions
D: opening db index /var/lib/rpm/Basenames create mode=0x42
########################################### [100%]
D: ========== +++ hpsmh-2.1.12-200 x86_64-linux 0x0
D: Expected size: 9080036 = lead(96)+sigs(180)+pad(4)+data(9079756)
D: Actual size: 9080036
D: hpsmh-2.1.12-200: Header SHA1 digest: OK (f53346239851bee3345ac4a129a6d9d6f2317f6c)
D: install: hpsmh-2.1.12-200 has 997 files, test = 0
D: install: %pre(hpsmh-2.1.12-200.x86_64) asynchronous scriptlet start
D: install: %pre(hpsmh-2.1.12-200.x86_64) execv(/bin/sh) pid 31573
+ osval=NONE
+ '[' -f /etc/UnitedLinux-release ']'
+ '[' -f /etc/SuSE-release ']'
+ '[' -f /etc/redhat-release ']'
+ fn=/etc/redhat-release
++ cat /etc/redhat-release
++ cut -f4,5 '-d '
+ rel='Linux Client'
++ cat /etc/redhat-release
++ cut -f1,2 '-d '
+ frel='Red Hat'
++ cat /etc/redhat-release
++ cut -f1 '-d '
+ xenName=Red
+ '[' 'Linux Client' = 'Linux AS' ']'
+ '[' 'Linux Client' = 'Linux ES' ']'
+ '[' 'Linux Client' = 'Linux WS' ']'
+ '[' 'Red Hat' = 'Fedora Core' ']'
+ '[' 'Linux Client' = 'Linux Server' ']'
+ '[' Red = XenServer ']'
+ [[ '' < 2 ]]
+ echo 'This Red Hat Linux distribution is not supported.'
This Red Hat Linux distribution is not supported.
+ exit 1
D: install: waitpid(31573) rc 31573 status 100 secs 0.015
error: %pre(hpsmh-2.1.12-200.x86_64) scriptlet failed, exit status 1
error: install: %pre scriptlet failed (2), skipping hpsmh-2.1.12-200
D: running post-transaction scripts
D: closed db index /var/lib/rpm/Basenames
D: closed db index /var/lib/rpm/Name
D: closed db index /var/lib/rpm/Packages
D: closed db environment /var/lib/rpm/Packages
D: May free Score board((nil))
# cat /etc/redhat-release
Red Hat Enterprise Linux Client release 5.2 (Tikanga)


2 REPLIES
~sesh
Esteemed Contributor
Solution

Re: Error installing PSP 8.11 component hpsmh-2.1.12-200

Hello!

Wondering why you are downloading a tar.gz file & then extracting the RPM. The file can be downloaded directly from (current version 2.1.15-210):
http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareDescription.jsp?lang=en&cc=us&prodTypeId=15351&prodSeriesId=1121516&swItem=MTX-5c90113499bb41faacdcad9485&prodNameId=3288134&swEnvOID=4004&swLang=8&taskId=135&mode=4&idx=0

A couple of things you can check:
1. Check if /etc/redhat-release exists and has correct information.
2. (Not very recommended, consider as last option) use the --nopre switch to rpm to skip the pre-check script. :-)

For e.g.

rpm -ivh --nopre hpsmhxxx.rpm

Good luck!
Louella J Panaga
Occasional Contributor

Re: Error installing PSP 8.11 component hpsmh-2.1.12-200

The --nopre worked. Thanks!